﻿#include <iostream>
#include <string>
#include <vector>
#include <map>
#include <set>

using namespace std;

typedef long long ll;

ll n, k, m;

bool binfind(ll b, vector <ll> a) {
    ll cnt = 0;
    for (ll i = 0; i < k; ++i)
        if (a[i] <= b)
            ++cnt;
    if (cnt < m)
        return 0;
    for (ll i = k; i < n; ++i) {
        if (a[i] <= b)
            ++cnt;
        if (a[i - k] <= b)
            --cnt;
        if (cnt < m)
            return 0;
    }
    return 1;
}


int main() {
    std::ios::sync_with_stdio(false);
    std::ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cin >> n >> k >> m;
    vector <ll> a(n);
    for (ll i = 0; i < n; ++i)
        cin >> a[i];
    ll l = 0;
    ll r = 1e9;
    while (l + 1 < r) {
        ll b = (l + r) / 2;
        if (binfind(b, a)) {
            r = b;
        }
        else {
            l = b + 1;
        }
    }
    for (ll i = l; i < n; ++i)
        if (binfind(i, a)) {
            ll s = 0;
            for (ll j = 0; j < n; ++j)
                if (a[j] > i)
                    s += a[j];
            cout << s - i;
            return 0;
        }
}