import java.util.*;

public class E {

    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        int n = scanner.nextInt();
        int sign = Integer.signum(n);
        n = Math.abs(n);
        Map<Integer, Integer> factorization = factorize(n);
        List<Integer> list = new ArrayList<>(factorization.size() * 2);
        factorization.forEach((number, count) -> {
            list.add(number);
            list.add(count);
        });
        int size = factorization.values().stream().mapToInt(x -> x).sum();
        StringBuilder builder = new StringBuilder();
        print(builder, sign, list, new int[size], 0, 0);
        System.out.println(builder);
    }

    private static void print(StringBuilder builder, int sign, List<Integer> list, int[] array, int i, int index) {
        if (i == array.length) {
            if (sign == 1) {
                for (int x : array) builder.append(x).append(" ");
                builder.append("\n");
            }
            return;
        }
        int number = list.get(index), count = list.get(index + 1);
        for (int j = 0; j <= count; j++) {
            for (int k = 0; k < count; k++) array[i + k] = k < j ? -number : number;
            print(builder, (j & 1) == 0 ? sign : -sign, list, array, i + count, index + 2);
        }
    }

    private static Map<Integer, Integer> factorize(int n) {
        Map<Integer, Integer> map = new HashMap<>();
        int div = 2;
        while (div * div <= n) {
            if (n % div == 0) {
                map.merge(div, 1, Integer::sum);
                n /= div;
            } else if (div == 2) div = 3;
            else div = div + 2;
        }
        map.merge(n, 1, Integer::sum);
        return map;
    }
}
