﻿#define _CRT_SECURE_NO_WARNINGS
#include <algorithm>
#include <bitset>
#include <cstring>
#include <cstdio>
#include <cmath>
#include <cctype>
#include <cassert>
#include <climits>
#include <ctime>
#include <iostream>
#include <iomanip>
#include <functional>
#include <map>
#include <string>
#include <queue>
#include <stack>
#include <set>
#include <unordered_set>
#include <unordered_map>
#include <vector>
#include <array>
#include <random>

//#pragma GCC optimize("Ofast")
//#pragma GCC target("avx,avx2,fma")
//#pragma GCC optimization ("O3")
//#pragma GCC optimization ("unroll-loops")
using namespace std;

#define all(x) x.begin(), x.end()
#define int long long

template <class T>
istream& operator >>(istream& in, vector<T>& arr) {
	for (T& cnt : arr) {
		in >> cnt;
	}
	return in;
}

const int INF = 1e18;

void fill(int n, int mid, vector<int>& a, vector<int>& b, vector<int>& new_a) {
	for (int i = 0; i < n; i++) {
		if (a[i] <= b[mid]) new_a[i] = 0;
		else new_a[i] = a[i];
	}
}

pair<bool, int> check(int n, int k, int m, vector<int> a) {
	int cnt = 0, sum = 0;
	for (int i = 0; i < k; i++) {
		if (a[i]) cnt++;
	}
	if (cnt > m) return { false, 0 };
	for (int i = k; i < n; i++) {
		if (a[i - k]) cnt--;
		if (a[i]) cnt++;
		if (cnt > m) return { false, 0 };
	}
	for (int i = 0; i < n; i++) sum += a[i];
	return { true, sum };
}

int find_first_ind(int n, int m, int k, vector<int>&a, vector<int>& b) {
	int l = 0, r = n;
	while (r - l > 1) {
		int mid = (l + r) / 2;
		vector<int> new_a(n);
		fill(n, mid, a, b, new_a);
		if (!check(n, m, k, new_a).first) l = mid;
		else r = mid;
	}
	return l;
}

void solve() {
	int n, k, m; cin >> n >> k >> m;
	vector<int> a(n); cin >> a;
	vector<int> b = a;
	sort(all(b));
	int ans = -INF;
	int l = find_first_ind(n, m, k, a, b), r = n;
	while (r - l > 1) {
		if (r - l == 2) break;
		int m1 = r - (r - l) / 3;
		int m2 = l + (r - l) / 3;
		vector<int> new_a1(n), new_a2(n);
		fill(n, m1, a, b, new_a1);
		fill(n, m2, a, b, new_a2);
		int sum1 = check(n, m, k, new_a1).second - b[m1];
		int sum2 = check(n, m, k, new_a2).second - b[m2];
		if (sum1 > sum2) l = m1;
		else r = m2;
	}
	vector<int> new_a1(n), new_a2(n);
	fill(n, l, a, b, new_a1), fill(n, l + 1, a, b, new_a2);
	int sum1 = check(n, m, k, new_a1).second - b[l];
	int sum2 = check(n, m, k, new_a2).second - b[l + 1];
	ans = max(sum1, sum2);
	cout << ans;
}

int smart(int n, int k, int m, vector<int> a) {
	vector<int> b = a;
	sort(all(b));
	int ans = -INF;
	int l = find_first_ind(n, m, k, a, b), r = n;
	while (r - l > 1) {
		if (r - l == 2) break;
		int m1 = r - (r - l) / 3;
		int m2 = l + (r - l) / 3;
		vector<int> new_a1(n), new_a2(n);
		fill(n, m1, a, b, new_a1);
		fill(n, m2, a, b, new_a2);
		int sum1 = check(n, m, k, new_a1).second - b[m1];
		int sum2 = check(n, m, k, new_a2).second - b[m2];
		if (sum1 > sum2) l = m1;
		else r = m2;
	}
	vector<int> new_a1(n), new_a2(n);
	fill(n, l, a, b, new_a1), fill(n, l + 1, a, b, new_a2);
	int sum1 = check(n, m, k, new_a1).second - b[l];
	int sum2 = check(n, m, k, new_a2).second - b[l + 1];
	ans = max(sum1, sum2);
	return ans;
}

int stupid(int n, int k, int m, vector<int> a) {
	int ans = 0;
	for (int i = 0; i < n; i++) {
		vector<int> new_a(n);
		for (int j = 0; j < n; j++) {
			if (a[j] <= a[i]) new_a[j] = 0;
			else new_a[j] = a[j];
		}
		if (check(n, m, k, new_a).first) {
			int sum = check(n, m, k, new_a).second;
			ans = max(ans, sum - a[i]);
		}
	}
	return ans;
}

void solve1() {
	int n, k, m; cin >> n >> k >> m;
	vector<int> a(n); cin >> a;
	int ans = -INF;
	for (int i = 0; i < n; i++) {
		vector<int> new_a(n);
		for (int j = 0; j < n; j++) {
			if (a[j] <= a[i]) new_a[j] = 0;
			else new_a[j] = a[j];
		}
		//cout << "new_a: ";
		//for (auto i : new_a) cout << i << ' ';
		//cout << '\n';
		if (check(n, k, m, new_a).first) {
			int sum = check(n, k, m, new_a).second;
			//cout << "sum: " << sum << '\n';
			ans = max(ans, sum - a[i]);
		}
	}
	cout << ans;
}

void gen() {
	for (int test = 1; test <= 1000; test++) {
		int n, m, k;
		vector<int> a;
		//if (test == 1) {}
		//else {}
		n = rand() % 8 + 1;
		k = rand() % n + 1;
		m = rand() % k + 1;
		a.resize(n);
		for (int i = 0; i < n; i++) {
			a[i] = rand() % 10 + 1;
		}
		int ans_sm = smart(n, m, k, a);
		int ans_st = stupid(n, m, k, a);
		if (ans_sm != ans_st) {
			cout << "WA on test " << test << '\n';
			cout << n << ' ' << m << ' ' << k << '\n';
			for (auto i : a) cout << i << ' ';
			cout << '\n';
			cout << "ans_sm: " << ans_sm << '\n' << "ans_st: " << ans_st;
			return;
		}
		else cout << "OK on test " << test << '\n';
	}
}

signed main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0); cout.tie(0);
	//freopen("power.in", "r", stdin);
	//freopen("power.out", "w", stdout);
	int _t = 1; //cin >> _t;
	while (_t--) {
		solve1();
		//gen();
	}

}