#include <vector>
#include <cstdio>

using namespace std;

void insertion( int64_t *arr, int64_t len )
{
  int64_t i {1};
  while (i < len)
  {
    const int64_t tmp {arr[i]};
    int64_t j {i - 1};
    while (tmp < arr[j] && j >= 0)
      arr[j + 1] = arr[j], j--;
    arr[j + 1] = tmp;
    i++;
  }
}

void merge( int64_t *arr, int64_t len, int64_t *aux )
{
  int64_t *arr1 {arr}, *arr2 {aux};

  int64_t t {32};
  int64_t i {0};
  while (i + 1 < len)
  {
    insertion(arr + i, min(len - i, t >> 1));
    i += t >> 1;
  }

  while ((t >> 1) < len)
  {
    int64_t i {0};
    while (i + (t >> 1) < len)
    {
      const int64_t max_i1 = i + (t >> 1), max_i2 = min(i + t, len);
      int64_t i1 = i, i2 = max_i1, k = i;

      while (i1 < max_i1 && i2 < max_i2)
      {
        if (arr1[i1] < arr1[i2])
          arr2[k++] = arr1[i1++];
        else
          arr2[k++] = arr1[i2++];
      }
      while (i1 < max_i1)
        arr2[k++] = arr1[i1++];
      while (i2 < max_i2)
        arr2[k++] = arr1[i2++];

      i += t;
    }

    t <<= 1;
    swap(arr1, arr2);
  }
  if (arr1 != arr)
    memcpy(aux, arr, len * sizeof(int64_t));
}

int main( void )
{
  int64_t n {}, k {}, m {};

  scanf("%lli %lli %lli", &n, &k, &m);
  vector<int64_t> L {};
  L.resize(n);
  for (int64_t i {0}; i < n; i++)
    scanf("%lli", L.data() + i);

  vector<int64_t> Tmp {};
  Tmp.resize(k * 2);
  memcpy(Tmp.data(), L.data(), k * sizeof(int64_t));
  merge(Tmp.data(), k, Tmp.data() + k);

  Tmp.resize(k);
  Tmp.shrink_to_fit();

  int64_t i {}, b {};
  i = k + 1;

  b = Tmp[m - 1];

  while (i <= n)
  {
    const int64_t new_a {L[i - 1]}, old_a {L[i - k - 1]};

    for (int64_t j {0}; j < k; j++)
      if (Tmp[j] == old_a)
      {
        Tmp[j] = new_a;
        insertion(Tmp.data(), k);
        break;
      }

    b = max(b, Tmp[m - 1]);

    i++;
  }

  int64_t res {-b};

  for (int64_t i {0}; i < L.size(); i++)
    if (L[i] > b)
      res += L[i];

  printf("%lli", res);

  return 0;
}
