#include <iostream>
#include <vector>
#include <map>

#include <algorithm>
#include <assert.h>
#include <set>

using namespace std;

#define int long long
#define PAR pair<int, int>
#define x first
#define y second
#define VP vector<PAR>
#define VI vector<int>

pair<char, char> ord_pair(char a, char b) {
    if (a > b)
        return { b, a };
    return { a, b };
}

ostream& operator<<(ostream& out, const map<int, int>& m) {
    for (const auto& e : m) {
        out << e.first << " -> " << e.second << ' ';
    }
    out << endl;
    return out;
}


struct Node {
    int l, r;
    Node* left = nullptr, * right = nullptr;
    int val = 0;
    Node(int l, int r) : l(l), r(r) {
        if (r - l > 1) {
            int m = (l + r) / 2;
            left = new Node(l, m);
            right = new Node(m, r);
        }
    }

    int get_sum(int a, int b) {
        if (r <= a || l >= b)
            return 0;
        if (a <= l && r <= b)
            return val;
        return left->get_sum(a, b) + right->get_sum(a, b);
    }

    int find_k(int k) {
        if (l + 1 == r) return l;
        if (left->val < k)
            return right->find_k(k - left->val);
        return left->find_k(k);
    }

    void add(int x, int i) {
        if (i < l || i >= r)
            return;
        if (i == l && r == i + 1) {
            val += x;
        }
        else {
            left->add(x, i);
            right->add(x, i);
            val = left->val + right->val;
        }
    }

    ~Node() {
        delete left;
        delete right;
    }
};


signed main()
{
    cin.tie(0);
    cout.tie(0);
    /*int N = 2000;
    VI test(N);
    Node* test_root = new Node(0, 20000);
    for (int i = 0; i < N; ++i) {
        test[i] = (i * 97563) % 10000 + 1ll;
        test_root->add(1, test[i]);
        test_root->add(-1, test[i]);
        test_root->add(1, test[i]);
    }
    sort(test.begin(), test.end());
    for (int i = 0; i < N; ++i) {
        if (test[i] != test_root->find_k(i + 1)) {
            cout << "Wrong answer on k=" << i + 1 << "!\n";
            cout << "Real: " << test[i] << " Got: " << test_root->find_k(i + 1) << endl;
        }
    }
    return 0;*/

    int n, k, m;
    cin >> n >> k >> m;

    VI va(n);
    map<int, vector<int>> ind;
    map<int, int> squished;
    map<int, int> squished_rev;
    for (int i = 0; i < n; ++i) {
        cin >> va[i];
        assert(va[i] <= 20000);
        ind[va[i]].push_back(i);
    }

    VI v_sorted = va;
    sort(v_sorted.begin(), v_sorted.end());

    int cnt = 0;
    set<int> used;
    for (int i = 0; i < n; ++i) {
        if (used.find(v_sorted[i]) == used.end()) {
            squished_rev[v_sorted[i]] = cnt;
            squished[cnt++] = v_sorted[i];
            used.insert(v_sorted[i]);
        }
    }

    for (int i = 0; i < n; ++i) {
        va[i] = squished_rev[va[i]];
    }

    // cout << squished << squished_rev;

    Node* root = new Node(0, 200001);
    for (int i = 0; i < k; ++i) {
        root->add(1, va[i]);
    }

    int min_b = 0;


    for (int i = 0; i < n - k + 1; ++i) {
        int b = root->find_k(m);
        if (b > min_b) {
            min_b = b;
        }
        if (i < n - k) {
            root->add(-1, va[i]);
            root->add(1, va[i + k]);
        }
    }

    int res = 0;

    for (int i = 0; i < n; ++i) {
        if (va[i] > min_b) res += squished[va[i]];
    }

    cout << res - squished[min_b] << endl;
    
    return 0;
}
