#if 1

#define DEBUG 0

#include <iostream>
#include <vector>
#include <fstream>
#include <string>
#include <cmath>
#include <algorithm>
#include <map>

using namespace std;

#if DEBUG
int runs = 1;
ifstream input("ProblemA/in.txt");
ofstream output("ProblemA/out.txt");
#else
int runs = 1;
istream &input = std::cin;
ostream &output = std::cout;
#endif

const int INF = (int)1e9;
const int MAXN = (int)1e3;

void eruat(vector<int> &primes)
{
	vector<bool> isPrime(MAXN, true);

	for (int i = 2; i < MAXN; i++)
	{
		if (isPrime[i])
		{
			for (int k = 2; k * i < MAXN; k++)
				isPrime[k * i] = false;
			primes.push_back(i);
		}
	}
}

bool isPrime(int n)
{
	for (int i = 2; i < (int)sqrt(n) + 1; i++)
	{
		if (n % i == 0)
			return false;
	}
	return true;
}


void factorize(int n, vector<int> &primes, vector<int> &factor)
{
	if (isPrime(n))
	{
		factor.push_back(n);
		return;
	}

	int cur = 0;
	while (n != 1 && cur < primes.size())
	{
		while (n % primes[cur] == 0)
		{
			n /= primes[cur];
			factor.push_back(primes[cur]);
		}
		cur++;
	}
}

void printWithMinuses(vector<bool> &isMinus, vector<int> &factor, int pos, int curNum, int num)
{
	if (pos == (int)factor.size() && curNum != num)
		return;

	if ((int)factor.size() - pos + curNum < num)
		return;

	if (pos == (int)factor.size() && curNum == num)
	{
		for (int i = 0; i < factor.size(); i++)
			output << (isMinus[i] ? "-" : "") << factor[i] << (i == (int)factor.size() - 1 ? "\n" : " ");
		return;
	}

	isMinus[pos] = false;
	printWithMinuses(isMinus, factor, pos + 1, curNum, num);
	isMinus[pos] = true;
	printWithMinuses(isMinus, factor, pos + 1, curNum + 1, num);
}

int main()
{
	while (runs-- > 0)
	{
		int n;
		input >> n;

		vector<int> primes;
		eruat(primes);

		vector<int> factor;
		factorize(abs(n), primes, factor);

		/*for (int i = 0; i < primes.size(); i++)
			output << primes[i] << "\n";*/

		vector<bool> isMinus(factor.size(), false);
		if (n > 0)
		{
			for (int i = 0; i <= factor.size(); i += 2)
				printWithMinuses(isMinus, factor, 0, 0, i);
		}
		else
		{
			for (int i = 1; i <= factor.size(); i += 2)
				printWithMinuses(isMinus, factor, 0, 0, i);
		}

	}
	return 0;
}

#endif
