#if 1

#define DEBUG 0

#include <iostream>
#include <vector>
#include <fstream>
#include <string>
#include <cmath>
#include <algorithm>
#include <map>
#include <queue>

using namespace std;

#if DEBUG
int runs = 2;
ifstream input("ProblemB/in.txt");
ofstream output("ProblemB/out.txt");
#else
int runs = 1;
istream &input = std::cin;
ostream &output = std::cout;
#endif

const int MAXN = (int)1e9;


bool check(vector<int> &arr, int mid, int k, int m)
{
	queue<int> snake;
	int cntEmpty = 0;
	for (int i = 0; i < k; i++)
	{
		snake.push(arr[i]);
		if (arr[i] <= mid)
			cntEmpty++;
	}

	if (cntEmpty < m)
		return false;

	for (int i = k; i < arr.size(); i++)
	{
		int a = snake.front();
		snake.pop();
		if (a <= mid)
			cntEmpty--;
		snake.push(arr[i]);
		if (arr[i] <= mid)
			cntEmpty++;

		if (cntEmpty < m)
			return false;
	}
	return true;
}

int main()
{
	while (runs-- > 0)
	{
		int n, k, m;
		input >> n >> k >> m;

		vector<int> arr(n);
		for (int i = 0; i < n; i++)
		{
			input >> arr[i];
		}

		int l = 0, r = MAXN + 1;
		while (l < r)
		{
			int mid = (l + r) / 2;

			if (check(arr, mid, k, m))
				r = mid;
			else
				l = mid + 1;
		}

		int ans = -r;
		for (int i = 0; i < arr.size(); i++)
		{
			if (arr[i] > r)
				ans += arr[i];
		}

		output << ans << "\n";
	}
}

#endif
