#if 1

#define DEBUG 0

#include <iostream>
#include <vector>
#include <fstream>
#include <string>
#include <cmath>
#include <algorithm>
#include <map>
#include <queue>

using namespace std;

#if DEBUG
int runs = 2;
ifstream input("ProblemB/in.txt");
ofstream output("ProblemB/out.txt");
#else
int runs = 1;
istream &input = std::cin;
ostream &output = std::cout;
#endif

typedef long long ll;
const ll MAXN = (ll)1e9;



bool check(vector<ll> &arr, ll mid, int k, int m)
{
	int last = 0;
	int cntEmpty = 0;
	for (int i = 0; i < k; i++)
	{
		if (arr[i] <= mid)
			cntEmpty++;
	}

	if (cntEmpty < m)
		return false;

	for (int i = k; i < arr.size(); i++)
	{
		int a = arr[last++];
		if (a <= mid)
			cntEmpty--;
		if (arr[i] <= mid)
			cntEmpty++;

		if (cntEmpty < m)
			return false;
	}
	return true;
}

int main()
{
	while (runs-- > 0)
	{
		int n, k, m;
		input >> n >> k >> m;

		vector<ll> arr(n);
		for (int i = 0; i < n; i++)
		{
			input >> arr[i];
		}

		ll l = 0, r = MAXN + 1;
		while (l < r)
		{
			ll mid = (l + r) / 2;

			if (check(arr, mid, k, m))
				r = mid;
			else
				l = mid + 1;
		}

		ll ans = -r;
		for (int i = 0; i < arr.size(); i++)
		{
			if (arr[i] > r)
				ans += arr[i];
		}

		output << ans << "\n";
	}
}

#endif
