#include <iostream>
#include <algorithm>
#include <cmath>
#include <cassert>
#include <vector>
#include <string>
#include <map>
#include <set>
#include <functional>
using namespace std;

using ll = long long;
#define all(o) (o).begin(), (o).end()
#if LOCAL
#define dbg(o) cout << #o << " = " << (o) << "\n";
#else
#define dbg(o)
#endif

template <typename T>
ostream &operator<<(ostream &out, const vector<T> &v) {
    for (const T &e : v) {
        out << e << " ";
    }
    return out;
}
template <typename T, typename Q>
ostream &operator<<(ostream &out, const pair<T, Q> &v) {
    out << v.first << " " << v.second << "\n";
    return out;
}
template <typename T>
istream &operator>>(istream &in, vector<T> &v) {
    for (T &e : v) {
        in >> e;
    }
    return in;
}

void solve() {
    int n; cin >> n;
    map<pair<char, char>, int> result;
    for (int i = 0; i < n; ++i) {
        string s; cin >> s;
        for (int j = 0; j < (int)s.size(); ++j) {
            pair<char, char> cp = {s[j], s[(j + 1) % s.size()]};
            if (cp.first > cp.second) swap(cp.first, cp.second);
            result[cp]++;
        }
    }
    vector<pair<pair<char, char>, int>> p(all(result));
    dbg(p);
    int k = max_element(all(p), [](pair<pair<char, char>, int> l, pair<pair<char, char>, int> r) {return l.second < r.second;})->second;
    for (auto &r: p) {
        if (r.second == k) {
            cout << r.first.first << r.first.second << "\n";
        }
    }
}

int main() {
#if LOCAL
    freopen("../input.txt", "r", stdin);
    int q; cin >> q;
    while (q--) {
        solve();
    }
#else
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    solve();
#endif
}
