#include <iostream>
#include <algorithm>
#include <cmath>
#include <cassert>
#include <vector>
#include <string>
#include <map>
#include <set>
#include <functional>
using namespace std;

using ll = long long;
#define all(o) (o).begin(), (o).end()
#if LOCAL
#define dbg(o) cout << #o << " = " << (o) << "\n";
#else
#define dbg(o)
#endif

template <typename T>
ostream &operator<<(ostream &out, const vector<T> &v) {
    for (const T &e : v) {
        out << e << " ";
    }
    return out;
}
template <typename T, typename Q>
ostream &operator<<(ostream &out, const pair<T, Q> &v) {
    out << v.first << " " << v.second << "\n";
    return out;
}
template <typename T>
istream &operator>>(istream &in, vector<T> &v) {
    for (T &e : v) {
        in >> e;
    }
    return in;
}

vector<int> factorize(int n) {
    vector<int> result;
    for (int d = 2; d * d <= n; ++d) {
        while (n % d == 0) {
            result.push_back(d);
            n /= d;
        }
    }
    if (n != 1) {
        result.push_back(n);
    }
    return result;
}


void solve() {
    int n, k, m; cin >> n >> k >> m;
    vector<int> a(n);
    cin >> a;
    dbg(a);

    int l = 0, r = 1e9 + 62;
    while (r - l > 1) {
        vector<int> aa = a;
        int mid = (l + r) / 2;
        for (int i = 0; i < n; ++i) {
            if (aa[i] <= mid) {
                aa[i] = 0;
            }
        }
        int empty = 0;
        for (int j = 0; j < k; ++j) {
            if (aa[j] == 0) empty++;
        }
        bool ok = empty >= m;
        for (int j = k; j < n; ++j) {
            if (aa[j] == 0) empty++;
            if (aa[j - k] == 0) empty--;
            ok &= empty >= m;
        }
        if (ok) {
            r = mid;
        } else {
            l = mid;
        }
    }

    dbg(l);
    dbg(r);

    sort(all(a));
    ll sum = 0;
    for (int i = 0; i < n; ++i) {
        sum += a[i];
    }

    ll best = INT64_MIN;
    ll psum = 0;
    for (int j = 0; j < n; ++j) {
        psum += a[j];
        if (a[j] < r) continue;
        if (j == n - 1 || a[j] != a[j + 1]) {
            best = max(best, sum - psum - r);
        }
    }
    cout << best << "\n";
}

int main() {
#if LOCAL
    freopen("../input.txt", "r", stdin);
    int q; cin >> q;
    while (q--) {
        solve();
    }
#else
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    solve();
#endif
}
