#include <iostream>
#include <vector>
#include "algorithm"
#include "utility"
#include <chrono>
#include <random>
#include <cmath>
#include <set>
#include <map>
#include <cstdio>
#include <string>
#include <queue>
#include <stack>
#include "fstream"


using namespace std;

typedef long long ll;
typedef double lf;
typedef long double llf;

#define pb(x) push_back(x)
#define mp(x,y) make_pair(x,y)
#define all(x) x.begin(), x.end()
#define fi first
#define se second

mt19937_64 rng(chrono::steady_clock::now().time_since_epoch().count());

const int int_inf = 2*1e9;
const ll ll_inf = 4*1e18;
const lf lf_inf = 2*1e9;
const llf llf_inf = 4*1e18;
const ll ll_zero = 0;

const llf eps = 1e-9;
const ll mod = 1e9+7;

const string yes = "YES";
const string no = "NO";

unsigned long long myRand(unsigned long long B){
    return rng() % B;
}

vector<string> ans= {"RR", "RG", "RB", "GG", "GB", "BB"};
//                    0      1     2     3     4     5
vector<int> pairs(6,0);

void solve() {
    string s;
    cin>>s;
    int n = s.size();
    for (int i = 1; i < n; ++i) {
        switch (s[i]) {
            case 'R':
                switch (s[i - 1]) {
                    case 'R': pairs[0]++; break;
                    case 'G': pairs[1]++;break;
                    case 'B': pairs[2]++;break;
                }  break;

            case 'G': switch (s[i - 1]) {
                    case 'R': pairs[1]++;break;
                    case 'G': pairs[3]++;break;
                    case 'B': pairs[4]++;break;
                }  break;

            case 'B': switch (s[i - 1]) {
                    case 'R':pairs[2]++; break;
                    case 'G':pairs[4]++; break;
                    case 'B':pairs[5]++; break;
                }  break;
        }
    }
    switch (s[n-1]) {
        case 'R':
            switch (s[0]) {
                case 'R': pairs[0]++; break;
                case 'G': pairs[1]++;break;
                case 'B': pairs[2]++;break;
            }  break;

        case 'G': switch (s[0]) {
                case 'R': pairs[1]++;break;
                case 'G': pairs[3]++;break;
                case 'B': pairs[4]++;break;
            }  break;

        case 'B': switch (s[0]) {
                case 'R':pairs[2]++; break;
                case 'G':pairs[4]++; break;
                case 'B':pairs[5]++; break;
            }  break;
    }
}

int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    cout.setf(ios::fixed);
    cout.precision(12);


    int t = 1;
    cin>>t;

    for (int i = 0; i < t; ++i) {
        solve();
        //cout<<'\n';
    }
    vector<int> ansid;
    int maxn= -int_inf;
    for (int i = 0; i < 6; ++i) {
        if (pairs[i]>maxn){
            ansid.resize(0);
            ansid.pb(i);
            maxn = pairs[i];
        } else if (pairs[i] == maxn){
            ansid.pb(i);
        }
    }

    for (int i = 0; i < ansid.size(); ++i) {
        cout<<ans[ansid[i]]<<"\n";
    }

    return 0;
}